Bug 189234 - [macOS] EWS should guard against breaking compatibility with the latest shipping version of Safari
Summary: [macOS] EWS should guard against breaking compatibility with the latest shipp...
Status: NEW
Alias: None
Product: WebKit
Classification: Unclassified
Component: Tools / Tests (show other bugs)
Version: Safari Technology Preview
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Nobody
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-09-02 10:17 PDT by mitz
Modified: 2018-09-02 18:52 PDT (History)
4 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description mitz 2018-09-02 10:17:10 PDT
The tests run by EWS should include launching SafariForWebKitDevelopment with the built WebKit and loading a webpage. This only needs to be done when building for the latest shipping version of macOS.
Comment 1 Alexey Proskuryakov 2018-09-02 18:46:01 PDT
> This only needs to be done when building for the latest shipping version of macOS.

Why not the other supported OS versions?
Comment 2 mitz 2018-09-02 18:52:10 PDT
(In reply to Alexey Proskuryakov from comment #1)
> > This only needs to be done when building for the latest shipping version of macOS.
> 
> Why not the other supported OS versions?

The reason I wrote that was that those don’t include the latest shipping version of Safari, but of course if EWS can have the latest Safari installed for the OS being tested, then it could also verify that that Safari isn’t broken.